Volley
Recurring payments

Get recurring consent

GET/recurring-consents/{id}

Retrieves a specific recurring consent by ID

AuthorizationBearer <token>

Your Volley API key as a bearer token

In: header

Path Parameters

id*string

The unique identifier of the recurring consent

Response Body

application/json

application/json

application/json

fetch("https://example.com/recurring-consents/consent_abc123", {  method: "GET"})
{  "enduring_consent": {    "id": "consent_abc123",    "status": "active",    "provider": "bnz",    "recurring_options": {      "max_per_payment": "100.00 NZD",      "max_per_period": "500.00 NZD",      "period": "monthly",      "end_date": "2026-12-31",      "total_count": 12,      "total_amount": "1200.00 NZD"    },    "created_at": "2025-02-12T08:30:00Z",    "updated_at": "2025-02-12T08:30:00Z"  }}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}